const setLambdaContext = require("../httpUtils/setLambdaContext");

const wrapHandler = (originalHandler) => {
  return async (event, context, callback) => {
    return setLambdaContext(context, () =>
      originalHandler(event, context, callback)
    );
  };
  //   setLambdaContext(originalHandler, () =>
  //     originalHandler(event, context, callback)
  //   );
};

const printSomething = (something) => {
  console.log(something);
};

module.exports = { wrapHandler, printSomething };
